databaseChangeLog:
  - logicalFilePath: db-changelog-000586-drop-process-metadata-tables.yaml
  - changeSet:
      author: appian
      id: 'tag-pre-000586'
      tagDatabase:
        tag: 'pre-000586'
  - changeSet:
      id: '000586.1.0'
      author: appian
      comment: Drop process_error table
      changes:
        - dropTable:
            tableName: process_error
            cascadeConstraints: true
  - changeSet:
      id: '000586.1.1'
      author: appian
      comment: Delete process_error sequence
      changes:
        preConditions:
          onFail: MARK_RAN
          changeLogPropertyDefined:
            property: dropSequence
            value: true
        dropSequence:
          sequenceName: process_error_sq
  - changeSet:
      id: '000586.1.2'
      author: appian
      comment: Drop process_properties table
      changes:
        - dropTable:
            tableName: process_properties
            cascadeConstraints: true
  - changeSet:
      id: '000586.1.3'
      author: appian
      comment: Drop process_properties sequence
      changes:
        preConditions:
          onFail: MARK_RAN
          changeLogPropertyDefined:
            property: dropSequence
            value: true
        dropSequence:
          sequenceName: process_properties_sq
